Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_WIN32_Asynch_Read_Dgram_Result Class Reference

This class provides concrete implementation for ACE_Asynch_Read_Dgram::Result class. More...

`#include <WIN32_Asynch_IO.h>`

Inheritance diagram for ACE_WIN32_Asynch_Read_Dgram_Result:

[legend]
Collaboration diagram for ACE_WIN32_Asynch_Read_Dgram_Result:

[legend]
List of all members.

## Public Methods
size_t | bytes_to_read (void) const
| The number of bytes which were requested at the start of the asynchronous read. More...
ACE_Message_Block * | message_block (void) const
| Message block which contains the read data. More...
int | remote_address (ACE_Addr &addr) const
| The address of where the packet came from. More...
sockaddr * | saddr () const
int | flags (void) const
| The flags used in the read. More...
ACE_HANDLE | handle (void) const
| I/O handle used for reading. More...
size_t | bytes_transferred (void) const
| Number of bytes transferred by the operation. More...
const void * | act (void) const
| ACT associated with the operation. More...
int | success (void) const
| Did the operation succeed? More...
const void * | completion_key (void) const
| This returns the ACT associated with the handle when it was registered with the I/O completion port. More...
u_long | error (void) const
| Error value if the operation fail. More...
ACE_HANDLE | event (void) const
| Event associated with the OVERLAPPED structure. More...
u_long | offset (void) const
| This really make sense only when doing file I/O. More...
u_long | offset_high (void) const
| Offset_high associated with the OVERLAPPED structure. More...
int | priority (void) const
| The priority of the asynchronous operation. Currently, this is not supported on Win32. More...
int | signal_number (void) const
| No-op. Returns 0. More...
int | post_completion (ACE_Proactor_Impl *proactor)
| Post <this> to the Proactor's completion port. More...
## Protected Methods
| ACE_WIN32_Asynch_Read_Dgram_Result (ACE_Handler &handler, ACE_HANDLE handle, ACE_Message_Block *message_block, size_t bytes_to_read, int flags, int protocol_family, const void *act, ACE_HANDLE event, int priority, int signal_number=0)
| Constructor is protected since creation is limited to ACE_Asynch_Read_Dgram factory. More...
virtual void | complete (size_t bytes_transferred, int success, const void *completion_key, u_long error)
| Proactor will call this method when the read completes. More...
virtual | ~ACE_WIN32_Asynch_Read_Dgram_Result (void)
| Destructor. More...
## Protected Attributes
size_t | bytes_to_read_
| Bytes requested when the asynchronous read was initiated. More...
ACE_Message_Block * | message_block_
| Message block for reading the data into. More...
ACE_Addr * | remote_address_
| The address of where the packet came from. More...
int | addr_len_
int | flags_
| The flags used in the read. More...
ACE_HANDLE | handle_
| I/O handle used for reading. More...
## Friends
class | ACE_WIN32_Asynch_Read_Dgram
| Factory class will have special permissions. More...
class | ACE_WIN32_Proactor
| Proactor class has special permission. More...

## Detailed Description

This class provides concrete implementation for ACE_Asynch_Read_Dgram::Result class.

## Constructor & Destructor Documentation

ACE_WIN32_Asynch_Read_Dgram_Result::ACE_WIN32_Asynch_Read_Dgram_Result | ( | ACE_Handler & | handler,
|  | ACE_HANDLE | handle,
|  | ACE_Message_Block * | message_block,
|  | size_t | bytes_to_read,
|  | int | flags,
|  | int | protocol_family,
|  | const void * | act,
|  | ACE_HANDLE | event,
|  | int | priority,
|  | int | signal_number = 0
| ) | `[protected]`

| Constructor is protected since creation is limited to ACE_Asynch_Read_Dgram factory.

ACE_WIN32_Asynch_Read_Dgram_Result::~ACE_WIN32_Asynch_Read_Dgram_Result | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

const void * ACE_WIN32_Asynch_Read_Dgram_Result::act | ( | void |  | ) | const`[virtual]`

| ACT associated with the operation. Reimplemented from ACE_WIN32_Asynch_Result.

size_t ACE_WIN32_Asynch_Read_Dgram_Result::bytes_to_read | ( | void |  | ) | const`[virtual]`

| The number of bytes which were requested at the start of the asynchronous read. Reimplemented from ACE_Asynch_Read_Dgram_Result_Impl.

size_t ACE_WIN32_Asynch_Read_Dgram_Result::bytes_transferred | ( | void |  | ) | const`[virtual]`

| Number of bytes transferred by the operation. Reimplemented from ACE_WIN32_Asynch_Result.

void ACE_WIN32_Asynch_Read_Dgram_Result::complete | ( | size_t | bytes_transferred,
|  | int | success,
|  | const void * | completion_key,
|  | u_long | error
| ) | `[protected, virtual]`

| Proactor will call this method when the read completes. Reimplemented from ACE_Asynch_Result_Impl.

const void * ACE_WIN32_Asynch_Read_Dgram_Result::completion_key | ( | void |  | ) | const`[virtual]`

| This returns the ACT associated with the handle when it was registered with the I/O completion port. This ACT is not the same as the ACT associated with the asynchronous operation. Reimplemented from ACE_WIN32_Asynch_Result.

u_long ACE_WIN32_Asynch_Read_Dgram_Result::error | ( | void |  | ) | const`[virtual]`

| Error value if the operation fail. Reimplemented from ACE_WIN32_Asynch_Result.

ACE_HANDLE ACE_WIN32_Asynch_Read_Dgram_Result::event | ( | void |  | ) | const`[virtual]`

| Event associated with the OVERLAPPED structure. Reimplemented from ACE_WIN32_Asynch_Result.

int ACE_WIN32_Asynch_Read_Dgram_Result::flags | ( | void |  | ) | const`[virtual]`

| The flags used in the read. Reimplemented from ACE_Asynch_Read_Dgram_Result_Impl.

ACE_HANDLE ACE_WIN32_Asynch_Read_Dgram_Result::handle | ( | void |  | ) | const`[virtual]`

| I/O handle used for reading. Reimplemented from ACE_Asynch_Read_Dgram_Result_Impl.

ACE_Message_Block * ACE_WIN32_Asynch_Read_Dgram_Result::message_block | ( | void |  | ) | const`[virtual]`

| Message block which contains the read data. Reimplemented from ACE_Asynch_Read_Dgram_Result_Impl.

u_long ACE_WIN32_Asynch_Read_Dgram_Result::offset | ( | void |  | ) | const`[virtual]`

| This really make sense only when doing file I/O. Reimplemented from ACE_WIN32_Asynch_Result.

u_long ACE_WIN32_Asynch_Read_Dgram_Result::offset_high | ( | void |  | ) | const`[virtual]`

| Offset_high associated with the OVERLAPPED structure. Reimplemented from ACE_WIN32_Asynch_Result.

int ACE_WIN32_Asynch_Read_Dgram_Result::post_completion | ( | ACE_Proactor_Impl * | proactor | ) | `[virtual]`

| Post <this> to the Proactor's completion port. Reimplemented from ACE_WIN32_Asynch_Result.

int ACE_WIN32_Asynch_Read_Dgram_Result::priority | ( | void |  | ) | const`[virtual]`

| The priority of the asynchronous operation. Currently, this is not supported on Win32. Reimplemented from ACE_WIN32_Asynch_Result.

int ACE_WIN32_Asynch_Read_Dgram_Result::remote_address | ( | ACE_Addr & | addr | ) | const`[virtual]`

| The address of where the packet came from. Reimplemented from ACE_Asynch_Read_Dgram_Result_Impl.

sockaddr * ACE_WIN32_Asynch_Read_Dgram_Result::saddr | ( |  | ) | const

int ACE_WIN32_Asynch_Read_Dgram_Result::signal_number | ( | void |  | ) | const`[virtual]`

| No-op. Returns 0. Reimplemented from ACE_WIN32_Asynch_Result.

int ACE_WIN32_Asynch_Read_Dgram_Result::success | ( | void |  | ) | const`[virtual]`

| Did the operation succeed? Reimplemented from ACE_WIN32_Asynch_Result.

## Friends And Related Function Documentation

friend class ACE_WIN32_Asynch_Read_Dgram`[friend]`

| Factory class will have special permissions.

friend class ACE_WIN32_Proactor`[friend]`

| Proactor class has special permission. Reimplemented from ACE_WIN32_Asynch_Result.

## Member Data Documentation

int ACE_WIN32_Asynch_Read_Dgram_Result::addr_len_`[protected]`

size_t ACE_WIN32_Asynch_Read_Dgram_Result::bytes_to_read_`[protected]`

| Bytes requested when the asynchronous read was initiated.

int ACE_WIN32_Asynch_Read_Dgram_Result::flags_`[protected]`

| The flags used in the read.

ACE_HANDLE ACE_WIN32_Asynch_Read_Dgram_Result::handle_`[protected]`

| I/O handle used for reading.

ACE_Message_Block* ACE_WIN32_Asynch_Read_Dgram_Result::message_block_`[protected]`

| Message block for reading the data into.

ACE_Addr* ACE_WIN32_Asynch_Read_Dgram_Result::remote_address_`[protected]`

| The address of where the packet came from.

The documentation for this class was generated from the following files:

- WIN32_Asynch_IO.h
- WIN32_Asynch_IO.cpp